Alteryx

Alteryx Backwards compatibility - how to!

Scenario: You have upgraded to a new version of Alteryx designer. Life is good, the workflows are running as smooth as silk and you are enjoying the new interface of Alteryx. However, this dream-state is soon to become ruined by the fact, that the rest of your team is still working on a previous version of Alteryx Designer, and when they try to open your workflow they get the following message:

There was an error opening ”C:\Users\XXX\Downloads\absds..yxwz”: This document was created by a more recent version of this application and cannot be read.

As annoying this error message may be, as easy it is to fix! However, be aware that if you have included any of the new features from the version that you updated to, the tools won't be able to be opened from your colleagues (lower) version. If that is not the case, here is what you can do.

1. Open the workflow using a text editor.

At the top of the document this view will appear:

2. Change version to desired version

The second line < AlteryxDocument yxmdVer="2019.1"> refers to the version, the workflow was created in. If your colleagues change this version to their own version and save the document, they should be able to open the workflow. For instance, if your colleagues work in Alteryx Desktop version 10.5 it should like this.

And now your team should have no trouble opening the workflow you sent to them.

For the record it should be stated that Alteryx workflows are always forward compatible.


Back to blog


Subscribe for updates